/*Font Inter*/
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

*{
 margin: 0;
 padding: 0;
 box-sizing: border-box;
 font-family: sans-serif;
}
body{
  background: #616f7c;
  height: 100vh;
  display: flex;
  flex-direction: column;
}
main{
  display: flex;
  flex-direction: row;
  width: 90%;
  height: 90%;
  margin-top: 3%;
  align-self: center;
  box-shadow: 5px 5px 5px 5px rgba(0 , 0, 0, .2);
}
#banner {
  background-image: url("/imagens/banner_login.jpeg");
  background-size: cover;
  width: 75%;
  height: 100%;
  border-radius: 3px 0 0 3px;
}
form {
  width: 356px;
  background-color: rgb(233, 228, 228);
  padding: 100px 40px;
  box-shadow: -10px 0 10px -5px rgba(0 , 0, 0, .2);
  backdrop-filter: blur(20px);
  border-radius: 0 3px 3px 0;
}
form h1 {
  font: bold 25px "Inter";
  text-align: center;
  color: #c73741;
}
.input_box {
  position: relative;
  width: 100%;
  height: 50px;
  margin: 30px 0;
}
.input_box input{
  width: 100%;
  height: 100%;
  background-color: white;
  outline: none;
  border: 2px solid rgba(255, 255, 255, .2);
  border-radius: 40px;
  font-size: 16px;
  color: #555;
  padding: 20px 45px 20px 20px;

}
.input_box input::placeholder {
 color: #888888;
}
.input_box i{
 position: absolute;
 right: 20px;
 top: 27%;
 font-size: 20px;
 color: #555; 
}
.remember_forgot {
 display: flex;
 justify-content: flex-end;
 margin: -15px 0 15px;
}
.remember_forgot label input{
 accent-color: #555;
 margin-right: 5px;
}
.remember_forgot a {
 text-decoration: none;
 color: #555;
}
.remember_forgot a:hover{
 text-decoration: underline;
}
.login {
 width: 100%;
 height: 50px;
 background-color: #c73741;  
 border: none; 
 border-radius: 40px;
 cursor: pointer;
 font-size: 16px;
 color: white;
 font-weight: 600;
 box-shadow:0 0 10px rgba(0 , 0, 0, .1);
 margin-top: 20px;
}
.login:hover {
 opacity: 0.8;
 transition: all 0.4s;
}
.register_link {
 font-size: 13px;
 color:#555;
 text-align: center;
 margin: 20px 0 15px;
}
.register_link a {
 text-decoration: none;
 color: #555;
 font-weight: 500;
}
.register_link a:hover {
 text-decoration: underline;
}
.msg_erro {
 color: #d9534f; /* Vermelho alerta */
 background-color: #f8d7da;
 border: 1px solid #f5c6cb;
 padding: 10px;
 border-radius: 4px;
 margin-top: 15px;
 font-size: 14px;
 text-align: center;
 font-weight: bold;
 display: flex;
 align-items: center;
 justify-content: center;
 gap: 8px;
}

/*----------------------- Media Header e Main ------------------------*/
@media screen and (max-width: 768px) {
  #banner {
   display: none;
  }
  form {
   margin: auto;
   padding: 50px 20px;
  }
  main {
    box-shadow: 0 0 0 0;
  }
  .input_box input{
    padding: 2px 20px 5px 5px;
  }
}